<?php
/*
  $Id: order_fournisseur.php, Fevrier 2011 by Brouillard s'embrouille

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2011 osCommerce

  Released under the GNU General Public License
*/

  class order_fournisseur {
    var $info, $products, $fournisseur;

    function order_fournisseur($order_id) {
      $this->info = array();
      $this->products = array();
      $this->fournisseur = array();

      $this->query($order_id);
    }

    function query($order_id) {

      $order_query = tep_db_query("select o.verrou, o.orders_shipping, o.payment_method, o.currency, o.currency_value,  o.date_purchased, o.payment_date, f.fournisseurs_id, f.fournisseurs_gender, f.fournisseurs_firstname, f.fournisseurs_lastname, f.fournisseurs_email_address, f.fournisseurs_company, f.fournisseurs_street_address, f.fournisseurs_suburb, f.fournisseurs_postcode, f.fournisseurs_city, f.fournisseurs_country, f.fournisseurs_telephone, f.fournisseurs_fax from " . TABLE_FOURNISSEURS_ORDERS . " o, " . TABLE_FOURNISSEURS . " f where f.fournisseurs_id = o.fournisseurs_id and orders_id = '" . (int)$order_id . "'");
      $order = tep_db_fetch_array($order_query);

      $this->info = array('currency' => $order['currency'],
                          'currency_value' => $order['currency_value'],
                          'orders_shipping' => $order['orders_shipping'],
                          'payment_method' => $order['payment_method'],
                          'date_purchased' => $order['date_purchased'],
                          'verrou' => $order['verrou'],
                          'payment_date' => $order['payment_date']);

      $this->fournisseur = array('fournisseurs_id' => $order['fournisseurs_id'],
                              'gendre' => $order['fournisseurs_gender'],
                              'name' => $order['fournisseurs_firstname'] . ' ' . $order['fournisseurs_lastname'],
                              'company' => $order['fournisseurs_company'],
                              'street_address' => $order['fournisseurs_street_address'],
                              'suburb' => $order['fournisseurs_suburb'],
                              'city' => $order['fournisseurs_city'],
                              'postcode' => $order['fournisseurs_postcode'],
                              'country' => $order['fournisseurs_country'],
                              'telephone' => $order['fournisseurs_telephone'],
                              'fax' => $order['fournisseurs_fax'],
                              'email_address' => $order['fournisseurs_email_address']);

      $index = 0;
      $orders_products_query = tep_db_query("select orders_products_id, products_id, products_name, products_model, products_price, products_tax, products_quantity, final_price from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS . " where orders_id = '" . (int)$order_id . "'");
      while ($orders_products = tep_db_fetch_array($orders_products_query)) {
        $this->products[$index] = array('qty' => $orders_products['products_quantity'],
                                        'name' => $orders_products['products_name'],
                                        'model' => $orders_products['products_model'],
                                        'tax' => $orders_products['products_tax'],
                                        'price' => $orders_products['products_price'],
                                        'final_price' => $orders_products['final_price'],
                                        'products_id' => $orders_products['products_id'],
                                        'orders_products_id' => $orders_products['orders_products_id']);

        $subindex = 0;
        $attributes_query = tep_db_query("select products_options, products_options_values, options_values_price, price_prefix from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$order_id . "' and orders_products_id = '" . (int)$orders_products['orders_products_id'] . "'");
        if (tep_db_num_rows($attributes_query)) {
          while ($attributes = tep_db_fetch_array($attributes_query)) {
            $this->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options'],
                                                                     'value' => $attributes['products_options_values'],
                                                                     'prefix' => $attributes['price_prefix'],
                                                                     'price' => $attributes['options_values_price']);

            $subindex++;
          }
        }
        $index++;
      }

   } //query

    function get_products($products_id) {
      global $languages_id;

        $products_array = array();
        $products_query = tep_db_query("select products_id, products_name_fournisseurs, products_model_fournisseurs, products_price_fournisseurs, products_tax_class_id from " . TABLE_PRODUCTS . " where products_id='" . (int)tep_get_prid($products_id) . "'");
        while ($products_fournisseurs = tep_db_fetch_array($products_query)) {

          $products_array[] = array('id' => $products_fournisseurs['products_id'],
                                    'name' => $products_fournisseurs['products_name_fournisseurs'],
                                    'model' => $products_fournisseurs['products_model_fournisseurs'],
                                    'price' => $products_fournisseurs['products_price_fournisseurs'],
                                    'tax_class_id' => $products_fournisseurs['products_tax_class_id']);
        }
      return $products_array;
    }

//recuperer les options du produit
    function get_attributes($products_id, $attributes_options_id) {
      global $languages_id;

      $attributes_array = array();

       if(is_array($attributes_options_id)) {
          reset($attributes_options_id);
        while (list($option, $value) = each($attributes_options_id)) {
          $attribute_query = tep_db_query("select popt.products_options_name, poval.products_options_values_name, pa.option_price_fournisseurs, pa.price_prefix from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa where pa.products_id = '" . (int)$products_id . "' and pa.options_id = '" . (int)$option . "' and pa.options_id = popt.products_options_id and pa.options_values_id = '" . (int)$value . "' and pa.options_values_id = poval.products_options_values_id and popt.language_id = '" . (int)$languages_id . "' and poval.language_id = '" . (int)$languages_id . "'");

          $attributes_values = tep_db_fetch_array($attribute_query);

          $attributes_array[] = array('products_options' => $attributes_values['products_options_name'],
                                      'products_options_values' => $attributes_values['products_options_values_name'], 
                                      'option_price_fournisseurs' => $attributes_values['option_price_fournisseurs'], 
                                      'price_prefix' => $attributes_values['price_prefix']);
        }
      }
      return $attributes_array;
    }
//Fin

  }
?>
