
CREATE TABLE `fournisseurs` (
  `fournisseurs_id` int(11) NOT NULL auto_increment,
  `fournisseurs_gender` char(1) default NULL,
  `fournisseurs_firstname` varchar(32) default NULL,
  `fournisseurs_lastname` varchar(32) default NULL,
  `fournisseurs_email_address` varchar(96) NOT NULL,
  `fournisseurs_telephone` varchar(32) default NULL,
  `fournisseurs_fax` varchar(32) default NULL,
  `fournisseurs_company` varchar(32) default NULL,
  `fournisseurs_street_address` varchar(64) default NULL,
  `fournisseurs_suburb` varchar(32) default NULL,
  `fournisseurs_postcode` varchar(10) NOT NULL,
  `fournisseurs_city` varchar(32) NOT NULL,
  `fournisseurs_country` varchar(32) NOT NULL,
  `fournisseurs_country_id` varchar(32) NOT NULL,
  PRIMARY KEY  (`fournisseurs_id`)
);


CREATE TABLE `fournisseurs_orders` (
  `orders_id` int(11) NOT NULL auto_increment,
  `fournisseurs_id` int(11) NOT NULL,
  `orders_shipping` decimal(15,4) default NULL,
  `payment_method` varchar(32) NOT NULL,
  `currency` char(3) default NULL,
  `currency_value` decimal(14,6) default NULL,
  `date_purchased` datetime default NULL,
  `payment_date` datetime default NULL,
  `verrou` int(1) NOT NULL,
  PRIMARY KEY  (`orders_id`)
);

CREATE TABLE `fournisseurs_orders_products` (
  `orders_products_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL,
  `products_id` int(11) NOT NULL,
  `products_model` varchar(12) default NULL,
  `products_quantity` int(5) NOT NULL,
  `products_name` varchar(64) NOT NULL,
  `products_price` decimal(15,4) NOT NULL,
  `final_price` decimal(15,4) NOT NULL,
  `products_tax` decimal(7,4) NOT NULL,
  PRIMARY KEY  (`orders_products_id`)
);

CREATE TABLE `fournisseurs_orders_products_attributes` (
  `orders_products_attributes_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL,
  `orders_products_id` int(11) NOT NULL,
  `products_options` varchar(32) NOT NULL,
  `products_options_values` varchar(32) NOT NULL,
  `options_values_price` decimal(15,4) NOT NULL,
  `price_prefix` char(1) NOT NULL,
  PRIMARY KEY  (`orders_products_attributes_id`)
);

CREATE TABLE `fournisseurs_orders_history` (
  `orders_history_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL,
  `orders_status` varchar(32) default NULL,
  `date_added` datetime NOT NULL,
  `mail_send` int(1) default '0',
  `comments` text,
  PRIMARY KEY  (`orders_history_id`)
);

ALTER TABLE `products` ADD `products_name_fournisseurs` varchar(64) NOT NULL;
ALTER TABLE `products` ADD `products_model_fournisseurs` varchar(12) NOT NULL;
ALTER TABLE `products` ADD `products_price_fournisseurs` decimal(15, 4) NOT NULL;
ALTER TABLE `products_attributes` ADD `option_price_fournisseurs` decimal(15, 4) NOT NULL;




